Bug 1518358 - [abrt] dnfdragora-gui: dbMatch(): __init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.dnf.exceptions.Error: Traceback (most recent call last):
Summary: [abrt] dnfdragora-gui: dbMatch(): __init__.py:250:_handle_dbus_error:dnfdaemo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:04e4edec37f1062ff1173b1b8e7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 18:00 UTC by Emmett Culley
Modified: 2018-01-01 22:12 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:28:51 UTC


Attachments (Terms of Use)
File: backtrace (7.16 KB, text/plain)
2017-11-28 18:00 UTC, Emmett Culley
no flags Details
File: cgroup (289 bytes, text/plain)
2017-11-28 18:00 UTC, Emmett Culley
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2017-11-28 18:00 UTC, Emmett Culley
no flags Details
File: environ (1.75 KB, text/plain)
2017-11-28 18:00 UTC, Emmett Culley
no flags Details
File: mountinfo (4.49 KB, text/plain)
2017-11-28 18:00 UTC, Emmett Culley
no flags Details
File: namespaces (102 bytes, text/plain)
2017-11-28 18:00 UTC, Emmett Culley
no flags Details
File: open_fds (1.40 KB, text/plain)
2017-11-28 18:00 UTC, Emmett Culley
no flags Details

Description Emmett Culley 2017-11-28 18:00:01 UTC
Description of problem:
Started dnfdragora from panel icon.  Even though the "report bug" dialog poped up, dnfdragora still started as expected.

Version-Release number of selected component:
dnfdragora-gui-1.0.1-5.git20170505.2a3b056.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: dbMatch
exception_type: _rpm.error
executable:     /usr/bin/dnfdragora-updater
kernel:         4.13.12-200.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
#1 dbMatch in /usr/lib/python3.6/site-packages/dnf/rpm/transaction.py:58
#2 detect_releasever in /usr/lib/python3.6/site-packages/dnf/rpm/__init__.py:37

Comment 1 Emmett Culley 2017-11-28 18:00:06 UTC
Created attachment 1359996 [details]
File: backtrace

Comment 2 Emmett Culley 2017-11-28 18:00:07 UTC
Created attachment 1359997 [details]
File: cgroup

Comment 3 Emmett Culley 2017-11-28 18:00:08 UTC
Created attachment 1359998 [details]
File: cpuinfo

Comment 4 Emmett Culley 2017-11-28 18:00:09 UTC
Created attachment 1359999 [details]
File: environ

Comment 5 Emmett Culley 2017-11-28 18:00:10 UTC
Created attachment 1360000 [details]
File: mountinfo

Comment 6 Emmett Culley 2017-11-28 18:00:11 UTC
Created attachment 1360001 [details]
File: namespaces

Comment 7 Emmett Culley 2017-11-28 18:00:12 UTC
Created attachment 1360002 [details]
File: open_fds

Comment 8 Fedora Update System 2017-12-29 23:24:24 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 9 Fedora Update System 2017-12-29 23:28:20 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 10 Fedora Update System 2017-12-30 19:55:10 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 11 Fedora Update System 2017-12-30 20:40:56 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 12 Fedora Update System 2017-12-31 21:28:51 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-01-01 22:12:25 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.